package com.bcxin.ins.dao.user;


import com.bcxin.ins.core.base.dao.BasDao;
import com.bcxin.ins.entity.user.SysClientUser;
import com.bcxin.ins.spring.annotation.MyBatisDao;
import com.bcxin.ins.vo.ClientUserVo;
import org.apache.ibatis.annotations.Param;


@MyBatisDao
public interface ClientUserDao extends BasDao<SysClientUser> {

    Integer getUserMobileForRegister(@Param("telephone") String telPhone, @Param("webType") String webType);

    Integer getUserEmailForRegister(@Param("email") String email, @Param("webType") String webType);

    Integer getUserNameByExist(String userName);

    Integer getUserWebIdByExist(@Param("webId")String webId,@Param("webType")String webType);

    ClientUserVo getClientUserVo(ClientUserVo vo);

    ClientUserVo getClientUserVoForThir(ClientUserVo vo);


}

